Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network136.2.76.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
136.2.76.0
Broadcast address
136.2.77.255
First usable
136.2.76.1
Last usable
136.2.77.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
B (default /16)
As numbers
Hex 88024C00 · Integer 2281851904 to 2281852415
Reverse DNS zones
76.2.136.in-addr.arpa
77.2.136.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001000.00000010.01001100.00000000136.2.76.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network10001000.00000010.01001100.00000000136.2.76.0
Broadcast10001000.00000010.01001101.11111111136.2.77.255
Split into smaller subnets/30

136.2.76.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1136.2.76.0/30136.2.76.1 to 136.2.76.2136.2.76.32
2136.2.76.4/30136.2.76.5 to 136.2.76.6136.2.76.72
3136.2.76.8/30136.2.76.9 to 136.2.76.10136.2.76.112
4136.2.76.12/30136.2.76.13 to 136.2.76.14136.2.76.152
5136.2.76.16/30136.2.76.17 to 136.2.76.18136.2.76.192
6136.2.76.20/30136.2.76.21 to 136.2.76.22136.2.76.232
7136.2.76.24/30136.2.76.25 to 136.2.76.26136.2.76.272
8136.2.76.28/30136.2.76.29 to 136.2.76.30136.2.76.312
9136.2.76.32/30136.2.76.33 to 136.2.76.34136.2.76.352
10136.2.76.36/30136.2.76.37 to 136.2.76.38136.2.76.392
11136.2.76.40/30136.2.76.41 to 136.2.76.42136.2.76.432
12136.2.76.44/30136.2.76.45 to 136.2.76.46136.2.76.472
13136.2.76.48/30136.2.76.49 to 136.2.76.50136.2.76.512
14136.2.76.52/30136.2.76.53 to 136.2.76.54136.2.76.552
15136.2.76.56/30136.2.76.57 to 136.2.76.58136.2.76.592
16136.2.76.60/30136.2.76.61 to 136.2.76.62136.2.76.632
17136.2.76.64/30136.2.76.65 to 136.2.76.66136.2.76.672
18136.2.76.68/30136.2.76.69 to 136.2.76.70136.2.76.712
19136.2.76.72/30136.2.76.73 to 136.2.76.74136.2.76.752
20136.2.76.76/30136.2.76.77 to 136.2.76.78136.2.76.792
21136.2.76.80/30136.2.76.81 to 136.2.76.82136.2.76.832
22136.2.76.84/30136.2.76.85 to 136.2.76.86136.2.76.872
23136.2.76.88/30136.2.76.89 to 136.2.76.90136.2.76.912
24136.2.76.92/30136.2.76.93 to 136.2.76.94136.2.76.952
25136.2.76.96/30136.2.76.97 to 136.2.76.98136.2.76.992
26136.2.76.100/30136.2.76.101 to 136.2.76.102136.2.76.1032
27136.2.76.104/30136.2.76.105 to 136.2.76.106136.2.76.1072
28136.2.76.108/30136.2.76.109 to 136.2.76.110136.2.76.1112
29136.2.76.112/30136.2.76.113 to 136.2.76.114136.2.76.1152
30136.2.76.116/30136.2.76.117 to 136.2.76.118136.2.76.1192
31136.2.76.120/30136.2.76.121 to 136.2.76.122136.2.76.1232
32136.2.76.124/30136.2.76.125 to 136.2.76.126136.2.76.1272
33136.2.76.128/30136.2.76.129 to 136.2.76.130136.2.76.1312
34136.2.76.132/30136.2.76.133 to 136.2.76.134136.2.76.1352
35136.2.76.136/30136.2.76.137 to 136.2.76.138136.2.76.1392
36136.2.76.140/30136.2.76.141 to 136.2.76.142136.2.76.1432
37136.2.76.144/30136.2.76.145 to 136.2.76.146136.2.76.1472
38136.2.76.148/30136.2.76.149 to 136.2.76.150136.2.76.1512
39136.2.76.152/30136.2.76.153 to 136.2.76.154136.2.76.1552
40136.2.76.156/30136.2.76.157 to 136.2.76.158136.2.76.1592
41136.2.76.160/30136.2.76.161 to 136.2.76.162136.2.76.1632
42136.2.76.164/30136.2.76.165 to 136.2.76.166136.2.76.1672
43136.2.76.168/30136.2.76.169 to 136.2.76.170136.2.76.1712
44136.2.76.172/30136.2.76.173 to 136.2.76.174136.2.76.1752
45136.2.76.176/30136.2.76.177 to 136.2.76.178136.2.76.1792
46136.2.76.180/30136.2.76.181 to 136.2.76.182136.2.76.1832
47136.2.76.184/30136.2.76.185 to 136.2.76.186136.2.76.1872
48136.2.76.188/30136.2.76.189 to 136.2.76.190136.2.76.1912
49136.2.76.192/30136.2.76.193 to 136.2.76.194136.2.76.1952
50136.2.76.196/30136.2.76.197 to 136.2.76.198136.2.76.1992
51136.2.76.200/30136.2.76.201 to 136.2.76.202136.2.76.2032
52136.2.76.204/30136.2.76.205 to 136.2.76.206136.2.76.2072
53136.2.76.208/30136.2.76.209 to 136.2.76.210136.2.76.2112
54136.2.76.212/30136.2.76.213 to 136.2.76.214136.2.76.2152
55136.2.76.216/30136.2.76.217 to 136.2.76.218136.2.76.2192
56136.2.76.220/30136.2.76.221 to 136.2.76.222136.2.76.2232
57136.2.76.224/30136.2.76.225 to 136.2.76.226136.2.76.2272
58136.2.76.228/30136.2.76.229 to 136.2.76.230136.2.76.2312
59136.2.76.232/30136.2.76.233 to 136.2.76.234136.2.76.2352
60136.2.76.236/30136.2.76.237 to 136.2.76.238136.2.76.2392
61136.2.76.240/30136.2.76.241 to 136.2.76.242136.2.76.2432
62136.2.76.244/30136.2.76.245 to 136.2.76.246136.2.76.2472
63136.2.76.248/30136.2.76.249 to 136.2.76.250136.2.76.2512
64136.2.76.252/30136.2.76.253 to 136.2.76.254136.2.76.2552
65136.2.77.0/30136.2.77.1 to 136.2.77.2136.2.77.32
66136.2.77.4/30136.2.77.5 to 136.2.77.6136.2.77.72
67136.2.77.8/30136.2.77.9 to 136.2.77.10136.2.77.112
68136.2.77.12/30136.2.77.13 to 136.2.77.14136.2.77.152
69136.2.77.16/30136.2.77.17 to 136.2.77.18136.2.77.192
70136.2.77.20/30136.2.77.21 to 136.2.77.22136.2.77.232
71136.2.77.24/30136.2.77.25 to 136.2.77.26136.2.77.272
72136.2.77.28/30136.2.77.29 to 136.2.77.30136.2.77.312
73136.2.77.32/30136.2.77.33 to 136.2.77.34136.2.77.352
74136.2.77.36/30136.2.77.37 to 136.2.77.38136.2.77.392
75136.2.77.40/30136.2.77.41 to 136.2.77.42136.2.77.432
76136.2.77.44/30136.2.77.45 to 136.2.77.46136.2.77.472
77136.2.77.48/30136.2.77.49 to 136.2.77.50136.2.77.512
78136.2.77.52/30136.2.77.53 to 136.2.77.54136.2.77.552
79136.2.77.56/30136.2.77.57 to 136.2.77.58136.2.77.592
80136.2.77.60/30136.2.77.61 to 136.2.77.62136.2.77.632
81136.2.77.64/30136.2.77.65 to 136.2.77.66136.2.77.672
82136.2.77.68/30136.2.77.69 to 136.2.77.70136.2.77.712
83136.2.77.72/30136.2.77.73 to 136.2.77.74136.2.77.752
84136.2.77.76/30136.2.77.77 to 136.2.77.78136.2.77.792
85136.2.77.80/30136.2.77.81 to 136.2.77.82136.2.77.832
86136.2.77.84/30136.2.77.85 to 136.2.77.86136.2.77.872
87136.2.77.88/30136.2.77.89 to 136.2.77.90136.2.77.912
88136.2.77.92/30136.2.77.93 to 136.2.77.94136.2.77.952
89136.2.77.96/30136.2.77.97 to 136.2.77.98136.2.77.992
90136.2.77.100/30136.2.77.101 to 136.2.77.102136.2.77.1032
91136.2.77.104/30136.2.77.105 to 136.2.77.106136.2.77.1072
92136.2.77.108/30136.2.77.109 to 136.2.77.110136.2.77.1112
93136.2.77.112/30136.2.77.113 to 136.2.77.114136.2.77.1152
94136.2.77.116/30136.2.77.117 to 136.2.77.118136.2.77.1192
95136.2.77.120/30136.2.77.121 to 136.2.77.122136.2.77.1232
96136.2.77.124/30136.2.77.125 to 136.2.77.126136.2.77.1272
97136.2.77.128/30136.2.77.129 to 136.2.77.130136.2.77.1312
98136.2.77.132/30136.2.77.133 to 136.2.77.134136.2.77.1352
99136.2.77.136/30136.2.77.137 to 136.2.77.138136.2.77.1392
100136.2.77.140/30136.2.77.141 to 136.2.77.142136.2.77.1432
101136.2.77.144/30136.2.77.145 to 136.2.77.146136.2.77.1472
102136.2.77.148/30136.2.77.149 to 136.2.77.150136.2.77.1512
103136.2.77.152/30136.2.77.153 to 136.2.77.154136.2.77.1552
104136.2.77.156/30136.2.77.157 to 136.2.77.158136.2.77.1592
105136.2.77.160/30136.2.77.161 to 136.2.77.162136.2.77.1632
106136.2.77.164/30136.2.77.165 to 136.2.77.166136.2.77.1672
107136.2.77.168/30136.2.77.169 to 136.2.77.170136.2.77.1712
108136.2.77.172/30136.2.77.173 to 136.2.77.174136.2.77.1752
109136.2.77.176/30136.2.77.177 to 136.2.77.178136.2.77.1792
110136.2.77.180/30136.2.77.181 to 136.2.77.182136.2.77.1832
111136.2.77.184/30136.2.77.185 to 136.2.77.186136.2.77.1872
112136.2.77.188/30136.2.77.189 to 136.2.77.190136.2.77.1912
113136.2.77.192/30136.2.77.193 to 136.2.77.194136.2.77.1952
114136.2.77.196/30136.2.77.197 to 136.2.77.198136.2.77.1992
115136.2.77.200/30136.2.77.201 to 136.2.77.202136.2.77.2032
116136.2.77.204/30136.2.77.205 to 136.2.77.206136.2.77.2072
117136.2.77.208/30136.2.77.209 to 136.2.77.210136.2.77.2112
118136.2.77.212/30136.2.77.213 to 136.2.77.214136.2.77.2152
119136.2.77.216/30136.2.77.217 to 136.2.77.218136.2.77.2192
120136.2.77.220/30136.2.77.221 to 136.2.77.222136.2.77.2232
121136.2.77.224/30136.2.77.225 to 136.2.77.226136.2.77.2272
122136.2.77.228/30136.2.77.229 to 136.2.77.230136.2.77.2312
123136.2.77.232/30136.2.77.233 to 136.2.77.234136.2.77.2352
124136.2.77.236/30136.2.77.237 to 136.2.77.238136.2.77.2392
125136.2.77.240/30136.2.77.241 to 136.2.77.242136.2.77.2432
126136.2.77.244/30136.2.77.245 to 136.2.77.246136.2.77.2472
127136.2.77.248/30136.2.77.249 to 136.2.77.250136.2.77.2512
128136.2.77.252/30136.2.77.253 to 136.2.77.254136.2.77.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses